package com.aucma.base.service;

import java.util.List;
import com.aucma.base.domain.BaseMonitorInfo;
import com.aucma.base.domain.TreeSelects;

/**
 * 计量设备信息Service接口
 *
 * @author Yinq
 * @date 2023-09-21
 */
public interface IBaseMonitorInfoService
{
    /**
     * 查询计量设备信息
     *
     * @param objId 计量设备信息主键
     * @return 计量设备信息
     */
    public BaseMonitorInfo selectBaseMonitorInfoByObjId(Long objId);

    /**
     * 查询计量设备信息列表
     *
     * @param baseMonitorInfo 计量设备信息
     * @return 计量设备信息集合
     */
    public List<BaseMonitorInfo> selectBaseMonitorInfoList(BaseMonitorInfo baseMonitorInfo);

    List<TreeSelects> selectBaseMonitorInfoTreeList(BaseMonitorInfo baseMonitorInfo);

    public List<TreeSelects> buildMonitorInfoTreeSelect(List<BaseMonitorInfo> baseMonitorInfos);

    public List<BaseMonitorInfo> buildMonitorInfoTree(List<BaseMonitorInfo> baseMonitorInfos);


    /**
     * 新增计量设备信息
     *
     * @param baseMonitorInfo 计量设备信息
     * @return 结果
     */
    public int insertBaseMonitorInfo(BaseMonitorInfo baseMonitorInfo);

    /**
     * 修改计量设备信息
     *
     * @param baseMonitorInfo 计量设备信息
     * @return 结果
     */
    public int updateBaseMonitorInfo(BaseMonitorInfo baseMonitorInfo);

    /**
     * 批量删除计量设备信息
     *
     * @param objIds 需要删除的计量设备信息主键集合
     * @return 结果
     */
    public int deleteBaseMonitorInfoByObjIds(Long[] objIds);

    /**
     * 删除计量设备信息信息
     *
     * @param objId 计量设备信息主键
     * @return 结果
     */
    public int deleteBaseMonitorInfoByObjId(Long objId);

    List<BaseMonitorInfo> selectBaseMonitorInfoByNameLike(String monitorName);
}
